package com.ltgk.boat.utils;


import lombok.Getter;
import org.locationtech.jts.geom.Point;

/**
 * 节点类
 *
 * @author Qi ChengBin
 * @date 2025/05/27
 */
@Getter
public class Node implements Comparable<Node> {
    private final Point point;
    private final double fScore;

    Node(Point point, double fScore, double v) {
        this.point = point;
        this.fScore = fScore;
    }

    @Override
    public int compareTo(Node other) {
        return Double.compare(this.fScore, other.fScore);
    }
}